Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex DataLens
RU
  • Нейроаналитик DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • Create HTML page
        • Get HTML page
        • Update HTML page
        • Delete HTML page
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API (англ.)
  3. HtmlPages
  4. Update HTML page
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

Update HTML page

Updates the specified HTML page.

RequestRequest

POST

https://api.datalens.tech/rpc/updateHtmlPage

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "entryId": "example",
  "content": "example",
  "annotation": {
    "description": "example"
  },
  "mode": "save"
}
Any of 2 types
  • Type: object

    content

    Type: string

    New HTML content of the page.

    Max length: 10485760

    Example: example

    entryId

    Type: string

    ID of the HTML page to update.

    Example: example

    annotation

    Type: object

    description

    Type: string

    Description of the entry.

    Example: example

    New annotation of the HTML page.

    Example
    {
      "description": "example"
    }
    

    mode

    Type: string

    HTML page update mode.

    Enum: save, publish

    Example
    {
      "entryId": "example",
      "content": "example",
      "annotation": {
        "description": "example"
      },
      "mode": "save"
    }
    
  • Type: object

    entryId

    Type: string

    ID of the HTML page to update.

    Example: example

    mode

    Type: string

    HTML page revision update mode.

    Enum: save, publish

    revId

    Type: string

    ID of the revision to use.

    Example: example

    Example
    {
      "entryId": "example",
      "revId": "example",
      "mode": "save"
    }
    

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "entry": {
    "entryId": "example",
    "scope": "artifact",
    "type": "html-page",
    "key": "example",
    "workbookId": "example",
    "collectionId": "example",
    "revId": "example",
    "savedId": "example",
    "publishedId": "example",
    "data": {},
    "meta": {
      "objectId": "example",
      "policyVersion": 0.5
    },
    "annotation": {
      "description": "example"
    },
    "createdBy": "example",
    "createdAt": "example",
    "updatedBy": "example",
    "updatedAt": "example",
    "revUpdatedBy": "example",
    "revUpdatedAt": "example",
    "tenantId": "example",
    "hidden": true,
    "version": 1,
    "public": true,
    "links": {},
    "isFavorite": true,
    "permissions": {
      "execute": true,
      "read": true,
      "edit": true,
      "admin": true
    }
  },
  "warnings": [
    "example"
  ]
}

Name

Description

entry

Type: object

annotation

Type: object | null

Annotation of the HTML page.

Example
{
  "description": "example"
}

collectionId

Type: string | null

ID of the collection containing the HTML page.

Example: example

createdAt

Type: string

Date and time when the HTML page was created.

Example: example

createdBy

Type: string

ID of the user who created the HTML page.

Example: example

data

Type: object

[additional]

Type: unknown

Example: null

Versioned data of the HTML page entry.

Example
{}

entryId

Type: string

Unique identifier of the HTML page.

Example: example

hidden

Type: boolean

Whether the HTML page is hidden.

key

Type: string

Key of the HTML page entry.

Example: example

meta

Type: object

objectId

Type: string

ID of the object containing the HTML content.

Example: example

policyVersion

Type: number

Version of the security policy injected into the HTML content.

Metadata of the HTML page.

Example
{
  "objectId": "example",
  "policyVersion": 0.5
}

public

Type: boolean

Whether the HTML page is public.

publishedId

Type: string | null

ID of the published HTML page revision.

Example: example

revId

Type: string

ID of the current HTML page revision.

Example: example

savedId

Type: string

ID of the saved HTML page revision.

Example: example

scope

Type: string

Scope of the HTML page entry.

Const: artifact

Example: example

tenantId

Type: string

ID of the tenant that owns the HTML page.

Example: example

type

Type: string

Type of the HTML page entry.

Const: html-page

Example: example

updatedAt

Type: string

Date and time when the HTML page was last updated.

Example: example

updatedBy

Type: string

ID of the user who last updated the HTML page.

Example: example

version

Type: number

Schema version of the HTML page.

Const: 1

workbookId

Type: string | null

ID of the workbook containing the HTML page.

Example: example

isFavorite

Type: boolean

Whether the HTML page is a favorite.

links

Type: object | null

Links associated with the HTML page.

Example
{}

permissions

Type: object

admin

Type: boolean

Indicates if there are permissions for admin.

edit

Type: boolean

Indicates if there are permissions to edit.

execute

Type: boolean

Indicates if there are permissions to execute.

read

Type: boolean

Indicates if there are permissions to read.

Permissions for the HTML page.

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}

revUpdatedAt

Type: string

Date and time when the current revision was last updated.

Example: example

revUpdatedBy

Type: string

ID of the user who last updated the current revision.

Example: example

Updated HTML page entry.

Example
{
  "entryId": "example",
  "scope": "artifact",
  "type": "html-page",
  "key": "example",
  "workbookId": "example",
  "collectionId": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "data": {},
  "meta": {
    "objectId": "example",
    "policyVersion": 0.5
  },
  "annotation": {
    "description": "example"
  },
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "revUpdatedBy": "example",
  "revUpdatedAt": "example",
  "tenantId": "example",
  "hidden": true,
  "version": 1,
  "public": true,
  "links": {},
  "isFavorite": true,
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  }
}

warnings

Type: string[]

Warning codes generated while processing the HTML content.

Example
[
  "example"
]

Была ли статья полезна?

Предыдущая
Get HTML page
Следующая
Delete HTML page
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»